CVE Reference: CVE-2010-1447

NOTE: The text on this page is written by CVE MITRE and reflects neither the opinions of Secunia or the results of our research. All data on this page is written and maintained by CVE MITRE.

Original Page at CVE MITRE:
CVE-2010-1447

Description:
The Safe (aka Safe.pm) module 2.26, and certain earlier versions, for Perl, as used in PostgreSQL 7.4 before 7.4.29, 8.0 before 8.0.25, 8.1 before 8.1.21, 8.2 before 8.2.17, 8.3 before 8.3.11, 8.4 before 8.4.4, and 9.0 Beta before 9.0 Beta 2, allows context-dependent attackers to bypass intended (1) Safe::reval and (2) Safe::rdo access restrictions, and inject and execute arbitrary code, via vectors involving subroutine references and delayed execution.

CVE Status:
Candidate

References:

ST
  1023988

SAID
  Secunia Advisory: SA39845
  Secunia Advisory: SA40049
  Secunia Advisory: SA40052

REDHAT
  http://www.redhat.com/support/errata/RHSA-2010-0458.html
  http://www.redhat.com/support/errata/RHSA-2010-0457.html

OVAL
  http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:7320
  http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:11530

OSVDB
  64756

MLIST
  http://www.openwall.com/lists/oss-security/2010/05/20/5

MANDRIVA
  http://www.mandriva.com/security/advisories?name=MDVSA-2010:116
  http://www.mandriva.com/security/advisories?name=MDVSA-2010:115

DEBIAN
  http://www.debian.org/security/2011/dsa-2267

CONFIRM
  http://www.postgresql.org/about/news.1203
  http://security-tracker.debian.org/tracker/CVE-2010-1447

BID
  40305


Return to the previous page.